All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Class SelectorMenuItemNode

    com.sas.models.SelectorMenuItemNode

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, ModelInterface, MutableNodeInterface, MutableSimpleNodeInterface, NodeInterface, SelectorMenuItemNodeInterface, SelectorMenuItemNodeV2Interface, SimpleNodeInterface, StaticNodeStyleInterface, TreeInterface, java.io.Serializable

Direct Known Subclasses:
  MDSelectorMenuItemNode

    public class SelectorMenuItemNode

implements SelectorMenuItemNodeV2Interface

SelectorMenuNode extends MenuNode and provides an implementation of SelectorMenuNodeInterface

See Also:
  Serialized Form

Field Summary
`protected com.sas.servlet.beans.BaseTransformation` | `selector` Selector property
`protected BaseTransformation` | `selectorObject`

Fields inherited from class com.sas.models.Node
`children, defaultNodeStyle, expandedNodeText, externalUpdateSupported, hasChildren, nodeStyle, nodeText, nodeType, objectData, RB_KEY`

Constructor Summary
`SelectorMenuItemNode()` SelectorMenuNode constructor
`SelectorMenuItemNode(com.sas.servlet.beans.BaseTransformation selector)` SelectorMenuNode constructor
`SelectorMenuItemNode(BaseTransformation selector)`

Method Summary
`com.sas.servlet.beans.BaseTransformation` | `getSelector()` Returns the selector associated with the menu node
`BaseTransformation` | `getSelectorObject()` Returns the selector associated with the menu node
`void` | `setSelector(com.sas.servlet.beans.BaseTransformation selector)` Sets the selector associated with the Menu
`void` | `setSelectorObject(BaseTransformation selector)` Sets the selector associated with the Menu

Methods inherited from class com.sas.models.Node
`addItems, addNodeChild, addNodeChild, addPropertyChangeListener, attachView, countNodeChildren, detachView, firePropertyChange, firePropertyChange, getDefaultNodeStyle, getIndex, getNodeChild, getNodeChildCount, getNodeChildren, getNodeChildren, getNodeExpandedText, getNodeStyle, getNodeText, getNodeType, getNodeTypes, getObjectData, getRoot, isExternalUpdateSupported, isLeafNode, moveNodeChild, notifyPropertyChange, removeAllNodeChildren, removeNodeChild, removeNodeChild, removePropertyChangeListener, setDefaultNodeStyle, setExternalUpdateSupported, setNodeChildren, setNodeExpandedText, setNodeStyle, setNodeText, setNodeType, setObjectData, sort, toString`

Methods inherited from interface com.sas.models.NodeInterface
`getNodeExpandedText, getNodeText, getNodeType`

Methods inherited from interface com.sas.models.SimpleNodeInterface
`countNodeChildren, getNodeChild, getNodeChildCount, getNodeChildren, isLeafNode`

Field Detail

### selector

    protected com.sas.servlet.beans.BaseTransformation selector

  Selector property

### selectorObject

    protected BaseTransformation selectorObject

Constructor Detail

### SelectorMenuItemNode

    public SelectorMenuItemNode()

  SelectorMenuNode constructor

### SelectorMenuItemNode

    public SelectorMenuItemNode(com.sas.servlet.beans.BaseTransformation selector)

  SelectorMenuNode constructor

### SelectorMenuItemNode

    public SelectorMenuItemNode(BaseTransformation selector)

Method Detail

### setSelector

    public void setSelector(com.sas.servlet.beans.BaseTransformation selector)

  Sets the selector associated with the Menu

  Specified by:
    `setSelector` in interface `SelectorMenuItemNodeInterface`
  Parameters:
    `selector` - - selector object which will be transformed to a string

### setSelectorObject

    public void setSelectorObject(BaseTransformation selector)

  Sets the selector associated with the Menu

  Specified by:
    `setSelectorObject` in interface `SelectorMenuItemNodeV2Interface`
  Parameters:
    `selector` - - selector object which will be transformed to a string

### getSelector

    public com.sas.servlet.beans.BaseTransformation getSelector()

  Returns the selector associated with the menu node

  Specified by:
    `getSelector` in interface `SelectorMenuItemNodeInterface`
  Returns:
    the selector associated with the menu node

### getSelectorObject

    public BaseTransformation getSelectorObject()

  Returns the selector associated with the menu node

  Specified by:
    `getSelectorObject` in interface `SelectorMenuItemNodeV2Interface`
  Returns:
    the selector associated with the menu node

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.